Page MenuHomePhabricator

[MLIR][Shape] Lower `shape.any`
ClosedPublic

Authored by frgossen on Jul 3 2020, 3:13 AM.

Details

Summary

Lower shape.any to its first operand.

Diff Detail

Event Timeline

frgossen created this revision.Jul 3 2020, 3:13 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 3 2020, 3:13 AM
herhut accepted this revision.Jul 3 2020, 6:26 AM
herhut added inline comments.
mlir/lib/Conversion/ShapeToStandard/ShapeToStandard.cpp
33

Maybe add a comment here that this is a valid interpretation of the any operation, as this is surprising.

This revision is now accepted and ready to land.Jul 3 2020, 6:26 AM
tpopp accepted this revision.Jul 6 2020, 2:46 AM
frgossen updated this revision to Diff 277342.Jul 13 2020, 1:28 AM
frgossen marked an inline comment as done.

Add comment

This revision was automatically updated to reflect the committed changes.